org.apache.myfaces.trinidad.bean.util

## Class FlaggedPropertyMap

- java.lang.Object
- - java.util.AbstractMap<PropertyKey,Object>
  - - org.apache.myfaces.trinidad.bean.util.FlaggedPropertyMap

- All Implemented Interfaces:
    Map<PropertyKey,Object>, PropertyMap

      public class FlaggedPropertyMap
      extends AbstractMap<PropertyKey,Object>
      implements PropertyMap

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlaggedPropertyMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearInitialState()` Reset to a non-delta tracking state.
    `boolean` | `containsKey(Object key)`
    `protected PropertyMap` | `createMap()`
    `Set<Map.Entry<PropertyKey,Object>>` | `entrySet()`
    `Object` | `get(Object key)`
    `protected PropertyMap` | `getPropertyMap(boolean createIfNull)`
    `protected FacesBean.Type` | `getType()` Retrieves FacesBean type used by this map's owner bean
    `boolean` | `getUseStateHolder()`
    `boolean` | `initialStateMarked()`
    `Set<PropertyKey>` | `keySet()`
    `void` | `markInitialState()`
    `Object` | `put(PropertyKey key, Object value)`
    `void` | `putAll(Map<? extends PropertyKey,? extends Object> t)`
    `Object` | `remove(Object key)`
    `void` | `restoreState(javax.faces.context.FacesContext context, FacesBean.Type type, Object state)`
    `Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setType(FacesBean.Type type)` Sets the the FacesBean type used by this map's owner bean
    `void` | `setUseStateHolder(boolean useStateHolder)`
    `Collection<Object>` | `values()`

    - ### Methods inherited from class java.util.AbstractMap

      `clear, clone, containsValue, equals, hashCode, isEmpty, size, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `clear, containsValue, equals, hashCode, isEmpty, size`

- - ### Constructor Detail

    - #### FlaggedPropertyMap

          public FlaggedPropertyMap()

  - ### Method Detail

    - #### containsKey

          public boolean containsKey(Object key)

      Specified by:
        `containsKey` in interface `Map<PropertyKey,Object>`
      Overrides:
        `containsKey` in class `AbstractMap<PropertyKey,Object>`

    - #### get

          public Object get(Object key)

      Specified by:
        `get` in interface `Map<PropertyKey,Object>`
      Overrides:
        `get` in class `AbstractMap<PropertyKey,Object>`

    - #### put

          public Object put(PropertyKey key,
                   Object value)

      Specified by:
        `put` in interface `Map<PropertyKey,Object>`
      Overrides:
        `put` in class `AbstractMap<PropertyKey,Object>`

    - #### remove

          public Object remove(Object key)

      Specified by:
        `remove` in interface `Map<PropertyKey,Object>`
      Overrides:
        `remove` in class `AbstractMap<PropertyKey,Object>`

    - #### putAll

          public void putAll(Map<? extends PropertyKey,? extends Object> t)

      Specified by:
        `putAll` in interface `Map<PropertyKey,Object>`
      Overrides:
        `putAll` in class `AbstractMap<PropertyKey,Object>`

    - #### entrySet

          public Set<Map.Entry<PropertyKey,Object>> entrySet()

      Specified by:
        `entrySet` in interface `Map<PropertyKey,Object>`
      Specified by:
        `entrySet` in class `AbstractMap<PropertyKey,Object>`

    - #### keySet

          public Set<PropertyKey> keySet()

      Specified by:
        `keySet` in interface `Map<PropertyKey,Object>`
      Overrides:
        `keySet` in class `AbstractMap<PropertyKey,Object>`

    - #### values

          public Collection<Object> values()

      Specified by:
        `values` in interface `Map<PropertyKey,Object>`
      Overrides:
        `values` in class `AbstractMap<PropertyKey,Object>`

    - #### markInitialState

          public void markInitialState()

      Specified by:
        `markInitialState` in interface `PropertyMap`

    - #### clearInitialState

          public void clearInitialState()

      Description copied from interface: `PropertyMap`
      Reset to a non-delta tracking state.
      Specified by:
        `clearInitialState` in interface `PropertyMap`

    - #### initialStateMarked

          public boolean initialStateMarked()

      Specified by:
        `initialStateMarked` in interface `PropertyMap`
      Returns:
        true if delta state changes are being tracked, otherwise false

    - #### saveState

          public Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `PropertyMap`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          FacesBean.Type type,
                          Object state)

      Specified by:
        `restoreState` in interface `PropertyMap`

    - #### getUseStateHolder

          public boolean getUseStateHolder()

    - #### setUseStateHolder

          public void setUseStateHolder(boolean useStateHolder)

    - #### setType

          public void setType(FacesBean.Type type)

      Sets the the FacesBean type used by this map's owner bean
      Parameters:
        `type` - FacesBean type

    - #### getType

          protected FacesBean.Type getType()

      Retrieves FacesBean type used by this map's owner bean
      Returns:
        FacesBean type

    - #### getPropertyMap

          protected PropertyMap getPropertyMap(boolean createIfNull)

    - #### createMap

          protected PropertyMap createMap()

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.